Chris
Cheney
ccheney@debian.org
March 7, 2003
dcop
1

# `dcop`

&DCOP;-Client für die Konsole

    dcop --pipe --user  Benutzer --all-users --session  Sitzung --all-sessions --list-sessions --no-user-time  Anwendung  Objekt  Funktion Argumente

## Beschreibung

&DCOP;-Client für die Konsole

## Parameter

`--pipe`

  &DCOP; für jede Zeile aufrufen, die über stdin eingelesen wird.

  Dies entspricht in etwa der Verwendung von `while read line ; do dcop $line ; done`, ist aber erheblich schneller, da nicht für jeder Zeile eine neue `dcop`-Instanz gestartet werden muss. Dies gilt insbesondere für die langsameren dynamischen GNU-Linker.

`--user` Benutzer

  Verbindung zum &DCOP;-Server des anegebenen Benutzers herstellen. Dieser Parameter ignoriert die Werte der Umgebungsvariablen $`DCOPSERVER` und $`ICEAUTHORITY`, auch wenn diese gesetzt sind.

  Wenn der Benutzer mehr als eine Sitzung gestartet hat, müssen Sie einen der Parameter `--list-sessions`, `--session` oder `--all-sessions` verwenden.

`--all-users`

  Sende den &DCOP;-Befehl an alle Benutzer mit einem laufenden &DCOP;-Server. Ein Fehler wird nur dann angezeigt, wenn das Senden an einen laufenden &DCOP;-Server fehlgeschlagen ist. Ist kein &DCOP;-Server verfügbar, wird keine Fehlermeldung ausgegeben.

`--session` Sitzung

  Versenden an die angegebene &kde;-Sitzung. Dieser Parameter kann nur zusammen mit dem Parameter `--user` verwendet werden.

`--all-sessions`

  Versenden an alle gefundenen &kde;-Sitzungen. Dieser Parameter kann nur zusammen mit den Parametern `--user`und `--all-users` verwendet werden.

`--list-sessions`

  Die aktiven &kde;-Sitzungen für einen Benutzer oder alle Benutzer auflisten.

`--no-user-time`

  Keine Aktualisierung des Zeitstempels für Benutzeraktivität in der aufgerufenen Anwendung. (Zur Verwendung in Skripten, die im Hintergrund laufen).

## Umgebung

`DCOPSERVER`

`ICEAUTHORITY`

## Siehe auch

dcopclient(1) dcopref(1) dcopfind(1) kdcop(1)

In &kde; können Sie das Benutzerhandbuch von kdcop durch Eingabe von `help:/kdcop` in der Adressleiste von &konqueror; aufrufen.